# Amy Zing and the Amazing Mazes

This is a simple maze game for Dreamcast/PSP/DS/3DS/SDL2.  It's loosely based on the snail maze game embedded in some revisions of the Sega Master System BIOS but, as its target audience is a particular 3 year old toddler, it is simplified.  It features an unlimited number of randomly-generated mazes to explore with three levels of difficulty.


## Aim of the Game

Complete each maze by guiding the red box from the "S" (start) block to the "F" (finish) block.


## Controls

During a game:

 - Move:             				D-pad
 - Return to title screen:			Hold L and R together

In the menu system:

 - Move up/down through options:	D-pad up/down
 - Select current option:			A (DC/DS/3DS); circle (PSP)
 - Back to previous menu:			B (DC/DS/3DS); X (PSP)
 - Quit:                      		Home (PSP/3DS); on the title screen hold L, R and Start together


## Todo

 - Sound (possibly).
 - Timer (there's a functional option in the menu system, but I'm not sure I want a timer yet).
 - A cartoony title screen showing Amy Zing (but I suck at pixel art).
 - An animated cartoony character to move around instead of a red box (but I suck at pixel art).
 - Things to collect before the finish is accessible (scope creep; not appropriate for target audience of impatient toddler).


## Links

 - [Blog][1]

[1]: http://simianzombie.com
